function [x, y]=bezier2(xx, yy,t)
%
% [x,y]=bezier2(xx, yy, t)
%Calcola la curva di Bezier
%
% xx, yy: coordinate punti di controlollo
% t : vettore di punti t(i) in [0,1]
% x, y: coordinate dei punti sulla curva di Bezier

n=length(xx);
m=length(t);

x=zeros(1,m);
y=zeros(1,m);

for k=1:n
    bino=nchoosek(n-1, k-1);
    x=x+bino*xx(k)*t.^(k-1).*(1-t).^(n-k);
    y=y+bino*yy(k)*t.^(k-1).*(1-t).^(n-k);
end
